package com.sincere.wechatbusiness.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel
public class Users {
    private Integer id;

    private String userName;

    @ApiModelProperty(value = "1-用户；2-专家")
    private Integer userType;

    private String password;

    private String sex;

    private String phone;

    private String weChat;

    private String face;

    private Integer age;

    private String province;

    private String city;

    private String graduateSchool;

    private String expertIntroduction;

    @ApiModelProperty(value = "0-未激活；1-已激活")
    private Integer isActive;

    @ApiModelProperty(value="1-普通志愿；2-三位一体志愿；用，分割")
    private String service;

    private Integer sort;

    @ApiModelProperty(value = "1-启用；2-停用")
    private Integer state;

    private Date createTime;

    private String beginTime;

    private String endTime;

    private String para;

    private String provinceCode;

    private String cityCode;

    @ApiModelProperty(value = "报名人数")
    private Integer applyCount;

    @ApiModelProperty(value = "未报名人数")
    private Integer noCount;

    @ApiModelProperty(value = "报名百分比")
    private Integer percentage;

    @ApiModelProperty(value = "1-普通志愿；2-三位一体")
    private Integer type;

    private Integer firstCount;

    private Integer secondCount;

    private Integer overCount;

    @ApiModelProperty(value = "是否电信用户，1-是")
    private Integer isDianXin;

    private Double price;

    @ApiModelProperty(value = "收货人")
    private String consignee;

    @ApiModelProperty(value = "收货手机号")
    private String receivePhone;

    @ApiModelProperty(value = "收货地区code")
    private String areaCode;

    @ApiModelProperty(value = "收货地区")
    private String areaName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "三位一体服务人数")
    private Integer trinityServiceNumber;

    @ApiModelProperty(value = "基本信息")
    private String trinityIntroduction;

    @ApiModelProperty(value = "专家服务")
    private String trinityService;

    @ApiModelProperty(value = "普通志愿服务人数")
    private Integer pointServiceNumber;

    @ApiModelProperty(value = "基本信息")
    private String pointIntroduction;

    @ApiModelProperty(value = "专家服务")
    private String pointService;

    @ApiModelProperty(value = "1-上架；2-下架")
    private int putAway;

    private String newMobile;

    private Integer channelId;

    private Integer agentId;

    @ApiModelProperty(value = "统计账号后四位")
    private String account;

    @ApiModelProperty(value = "统计人数")
    private Integer count;

    public Integer getId(){return id;}

    public void setId(Integer id){this.id=id;}

    public String getUserName(){return userName;}

    public void setUserName(String userName){this.userName=userName;}

    public Integer getUserType(){return userType;}

    public void setUserType(Integer userType){this.userType=userType;}

    public String getPassword(){return password;}

    public void setPassword(String password){this.password=password;}

    public String getSex(){return sex;}

    public void setSex(String sex){this.sex=sex;}

    public String getPhone(){return phone;}

    public void setPhone(String phone){this.phone=phone;}

    public String getWeChat(){return weChat;}

    public void setWeChat(String weChat){this.weChat=weChat;}

    public String getFace(){return face;}

    public void setFace(String face){this.face=face;}

    public Integer getAge(){return age;}

    public void setAge(Integer age){this.age=age;}

    public String getProvince(){return province;}

    public void setProvince(String province){this.province=province;}

    public String getCity(){return city;}

    public void setCity(String city){this.city=city;}

    public String getGraduateSchool(){return graduateSchool;}

    public void setGraduateSchool(String graduateSchool){this.graduateSchool=graduateSchool;}

    public String getExpertIntroduction(){return expertIntroduction;}

    public void setExpertIntroduction(String expertIntroduction){this.expertIntroduction=expertIntroduction;}

    public Integer getState(){return state;}

    public void setState(Integer state){this.state=state;}

    public Date getCreateTime(){return createTime;}

    public void setCreateTime(Date createTime){this.createTime=createTime;}

    public String getBeginTime(){return beginTime;}

    public void setBeginTime(String beginTime){this.beginTime=beginTime;}

    public String getEndTime(){return endTime;}

    public void setEndTime(String endTime){this.endTime=endTime;}

    public String getPara(){return para;}

    public void setPara(String para){this.para=para;}

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public Integer getApplyCount() {
        return applyCount;
    }

    public void setApplyCount(Integer applyCount) {
        this.applyCount = applyCount;
    }

    public Integer getNoCount() {
        return noCount;
    }

    public void setNoCount(Integer noCount) {
        this.noCount = noCount;
    }

    public Integer getPercentage() {
        return percentage;
    }

    public void setPercentage(Integer percentage) {
        this.percentage = percentage;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getFirstCount() {
        return firstCount;
    }

    public void setFirstCount(Integer firstCount) {
        this.firstCount = firstCount;
    }

    public Integer getSecondCount() {
        return secondCount;
    }

    public void setSecondCount(Integer secondCount) {
        this.secondCount = secondCount;
    }

    public Integer getOverCount() {
        return overCount;
    }

    public void setOverCount(Integer overCount) {
        this.overCount = overCount;
    }

    public Integer getIsDianXin() {
        return isDianXin;
    }

    public void setIsDianXin(Integer isDianXin) {
        this.isDianXin = isDianXin;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getTrinityServiceNumber() {
        return trinityServiceNumber;
    }

    public void setTrinityServiceNumber(Integer trinityServiceNumber) {
        this.trinityServiceNumber = trinityServiceNumber;
    }

    public String getTrinityIntroduction() {
        return trinityIntroduction;
    }

    public void setTrinityIntroduction(String trinityIntroduction) {
        this.trinityIntroduction = trinityIntroduction;
    }

    public String getTrinityService() {
        return trinityService;
    }

    public void setTrinityService(String trinityService) {
        this.trinityService = trinityService;
    }

    public Integer getPointServiceNumber() {
        return pointServiceNumber;
    }

    public void setPointServiceNumber(Integer pointServiceNumber) {
        this.pointServiceNumber = pointServiceNumber;
    }

    public String getPointIntroduction() {
        return pointIntroduction;
    }

    public void setPointIntroduction(String pointIntroduction) {
        this.pointIntroduction = pointIntroduction;
    }

    public String getPointService() {
        return pointService;
    }

    public void setPointService(String pointService) {
        this.pointService = pointService;
    }

    public int getPutAway() {
        return putAway;
    }

    public void setPutAway(int putAway) {
        this.putAway = putAway;
    }

    public String getNewMobile() {
        return newMobile;
    }

    public void setNewMobile(String newMobile) {
        this.newMobile = newMobile;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }
}
