package com.sincere.wechatbusiness.service;

import com.sincere.wechatbusiness.model.Banner;
import com.sincere.wechatbusiness.model.BannerNext;

import java.util.List;

public interface BannerService {
    List<Banner> getList(int id);

    int insert(Banner banner);

    int copy(Banner banner);

    int update(Banner banner);

    int deleteBanner(int id);

    int deleteChannelBanner(int channelId);


    List<BannerNext> getBannerNextList(int channelId);

    int insertBannerNext(BannerNext bannerNext);

    int deleteBannerNext(int id);

    int update(BannerNext bannerNext);

    int copyBannerNext(BannerNext bannerNext);

    int deleteChannelBannerNext(int channelId);
}
