package com.sincere.wechatbusiness.service.impl;

import com.sincere.wechatbusiness.mapper.CatalogContentMapper;
import com.sincere.wechatbusiness.model.Catalog;
import com.sincere.wechatbusiness.model.CatalogContent;
import com.sincere.wechatbusiness.service.CatalogContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CatalogContentServiceImpl implements CatalogContentService {
    @Autowired
    CatalogContentMapper catalogContentMapper;

    @Override
    public List<CatalogContent> getList(int id){return catalogContentMapper.getList(id);}

    @Override
    public int insert(CatalogContent catalogContent){return catalogContentMapper.insert(catalogContent);}

    @Override
    public int update(CatalogContent catalogContent){return catalogContentMapper.update(catalogContent);}

    @Override
    public int deleteCatalogContent(int id){return catalogContentMapper.deleteCatalogContent(id);}

    @Override
    public List<CatalogContent> getListByDate(int catalogId,String date){return catalogContentMapper.getListByDate(catalogId,date+" 23:59:59",date+" 00:00:00",1);}
}
