package com.sincere.wechatbusiness.service.impl;

import com.sincere.wechatbusiness.mapper.CatalogMapper;
import com.sincere.wechatbusiness.model.Catalog;
import com.sincere.wechatbusiness.service.CatalogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CatalogServiceImpl implements CatalogService {
    @Autowired
    CatalogMapper catalogMapper;

    @Override
    public Catalog getDetail(Catalog catalog){return catalogMapper.getDetail(catalog);}

    @Override
    public int insert(Catalog catalog){return catalogMapper.insert(catalog);}

    @Override
    public int update(Catalog catalog){return catalogMapper.update(catalog);}

    @Override
    public List<Catalog> getList(int id){return catalogMapper.getList(id);}

    @Override
    public int deleteCatalog(int channelId) {
        return catalogMapper.deleteCatalog(channelId);
    }
}
