package com.sincere.wechatbusiness.service.impl;

import com.sincere.wechatbusiness.mapper.ChannelProductMapper;
import com.sincere.wechatbusiness.model.ChannelProduct;
import com.sincere.wechatbusiness.service.ChannelProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ChannelProductServiceImpl implements ChannelProductService {

    @Autowired
    ChannelProductMapper channelProductMapper;

    @Override
    public List<ChannelProduct> getList(int id){return channelProductMapper.getList(id);}

    @Override
    public int insert(ChannelProduct channelProduct){return channelProductMapper.insert(channelProduct);}

    @Override
    public int update(ChannelProduct channelProduct){return channelProductMapper.update(channelProduct);}

    @Override
    public int deleteChannelProduct(int id){return channelProductMapper.deleteChannelProduct(id);}

    @Override
    public ChannelProduct getDetail(int id){return channelProductMapper.getDetail(id);}

    @Override
    public int updateChannelProductMsg(ChannelProduct channelProduct) {
        return channelProductMapper.updateChannelProductMsg(channelProduct);
    }

    @Override
    public int updateProductOpenAddress(int openAddress, int id) {
        return channelProductMapper.updateProductOpenAddress(openAddress,id);
    }
}
