package com.sincere.wechatbusiness.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class BaseDto<T> {

    @ApiModelProperty(value = "接口成功与否")
    private boolean success ;
    @ApiModelProperty(value = "错误信息")
    private String message ;
    @ApiModelProperty(value = "数据")
    private T data ;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public BaseDto() {
        this.success = true ;
    }
}
