package com.sincere.wechatbusiness.logs;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author chen
 * @version 1.0
 * @date 2019/10/12 0012 16:19
 */
public class LoggerUtils {

    public static <T> Logger Logger(Class<T> clazz) {
        return LoggerFactory.getLogger(clazz);
    }

    /**
     * 打印到指定的文件下
     *
     * @param desc 日志文件名称
     * @return
     */
    public static Logger Logger(LogName desc) {
        return LoggerFactory.getLogger(desc.getLogFileName());
    }

}
