package com.sincere.wechatbusiness.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class Order {
    @ApiModelProperty(value = "主键 , 新增接口不用传")
    private Integer id;
    @ApiModelProperty(value = " 平台流水号")
    private String trade_no;
    @ApiModelProperty(value = " 商户订单号")
    private String orderpaynum;
    @ApiModelProperty(value = " 商品id")
    private Integer product_id;
    @ApiModelProperty(value = " 商品名称")
    private String product_name;
    @ApiModelProperty(value = " 商品详情")
    private String product_detail;
    @ApiModelProperty(value = " 账号")
    private String account;
    @ApiModelProperty(value = " 学生姓名")
    private String user_name;
    @ApiModelProperty(value = " ai填报 使用成绩id")
    private Integer score_id;
    @ApiModelProperty(value = " 支付方式")
    private Integer payway;
    @ApiModelProperty(value = " 支付金额")
    private String paymoney;
    @ApiModelProperty(value = " 支付状态")
    private Integer paystate;
    @ApiModelProperty(value = " 优惠券")
    private String coupon;
    @ApiModelProperty(value = " 优惠券名字")
    private String coupon_name;
    @ApiModelProperty(value = " 实际支付")
    private String actualpay;
    @ApiModelProperty(value = " 订单类型")
    private Integer type;

    private  Integer expert_id;
    private String  address;

    @ApiModelProperty(value = " 订购时间")
    private Date intime;

    private Integer  buycount;

    private  String  discount;

    private Integer channelId;

    private Integer agentId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTrade_no() {
        return trade_no;
    }

    public void setTrade_no(String trade_no) {
        this.trade_no = trade_no;
    }

    public String getOrderpaynum() {
        return orderpaynum;
    }

    public void setOrderpaynum(String orderpaynum) {
        this.orderpaynum = orderpaynum;
    }

    public Integer getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Integer product_id) {
        this.product_id = product_id;
    }

    public String getProduct_name() {
        return product_name;
    }

    public void setProduct_name(String product_name) {
        this.product_name = product_name;
    }

    public String getProduct_detail() {
        return product_detail;
    }

    public void setProduct_detail(String product_detail) {
        this.product_detail = product_detail;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public Integer getScore_id() {
        return score_id;
    }

    public void setScore_id(Integer score_id) {
        this.score_id = score_id;
    }

    public Integer getPayway() {
        return payway;
    }

    public void setPayway(Integer payway) {
        this.payway = payway;
    }

    public String getPaymoney() {
        return paymoney;
    }

    public void setPaymoney(String paymoney) {
        this.paymoney = paymoney;
    }

    public Integer getPaystate() {
        return paystate;
    }

    public void setPaystate(Integer paystate) {
        this.paystate = paystate;
    }

    public String getCoupon() {
        return coupon;
    }

    public void setCoupon(String coupon) {
        this.coupon = coupon;
    }

    public String getCoupon_name() {
        return coupon_name;
    }

    public void setCoupon_name(String coupon_name) {
        this.coupon_name = coupon_name;
    }

    public String getActualpay() {
        return actualpay;
    }

    public void setActualpay(String actualpay) {
        this.actualpay = actualpay;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getExpert_id() {
        return expert_id;
    }

    public void setExpert_id(Integer expert_id) {
        this.expert_id = expert_id;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getIntime() { return intime; }

    public void setIntime(Date intime) { this.intime = intime; }

    public Integer getBuycount() {
        return buycount;
    }

    public void setBuycount(Integer buycount) {
        this.buycount = buycount;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    public Integer getChannelId() {
        return channelId;
    }

    public void setChannelId(Integer channelId) {
        this.channelId = channelId;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }
}
