package com.sincere.wechatbusiness.service.impl;

import com.sincere.wechatbusiness.mapper.AgentMapper;
import com.sincere.wechatbusiness.model.Agent;
import com.sincere.wechatbusiness.service.AgentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.rmi.activation.ActivationGroup;
import java.util.List;

@Service
public class AgentServiceImpl implements AgentService {
    @Autowired
    AgentMapper agentMapper;

    @Override
    public List<Agent> getList(int id){return agentMapper.getList(id);}

    @Override
    public int insert(Agent agent){return agentMapper.insert(agent);}

    @Override
    public int update(Agent agent){return agentMapper.update(agent);}

    @Override
    public int deleteAgent(int id){return agentMapper.deleteAgent(id);}
}
