package com.sincere.wechatbusiness.service.impl;

import com.sincere.wechatbusiness.mapper.AttentionMapper;
import com.sincere.wechatbusiness.model.Attention;
import com.sincere.wechatbusiness.service.AttentionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AttentionServiceImpl implements AttentionService {
    @Autowired
    AttentionMapper attentionMapper;

    @Override
    public Attention getDetail(int id){return attentionMapper.getDetail(id);}

    @Override
    public int insert(Attention attention){return attentionMapper.insert(attention);}

    @Override
    public int update(Attention attention){return attentionMapper.update(attention);}

    @Override
    public int deleteAttention(int channelId) {
        return attentionMapper.deleteAttention(channelId);
    }
}
